#!/usr/bin/env node --max-old-space-size=16384

const program = require('commander');
const pkg = require('../package.json');

if (typeof localStorage === 'undefined' || localStorage === null) {
  const LocalStorage = require('node-localstorage').LocalStorage;
  localStorage = new LocalStorage('./scratch');
}

program
  .version(pkg.version, '-v, --version')
  .usage('<command> [options]')
  .command('init [cmd]', '初始化项目')
  // .command('dev', '开发模式')
  .command('build', '打包增强，将打包后的文件压缩，并备份等')
  // .command('install [cmd]', '安装依赖')
  // .alias('i')
  // .command('uninstall [cmd]', '安装依赖')
  // .alias('u')
  .parse(process.argv);
