// @ts-nocheck
import React from 'react';
import { ApplyPluginsType, dynamic } from '/Users/jixiang/Desktop/workspace-my/operation-background-standard/node_modules/umi/node_modules/@umijs/runtime';
import * as umiExports from './umiExports';
import { plugin } from './plugin';
import LoadingComponent from '@ant-design/pro-layout/es/PageLoading';

export function getRoutes() {
  const routes = [
  {
    "path": "/",
    "component": dynamic({ loader: () => import(/* webpackChunkName: '.umi__plugin-layout__Layout' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/.umi/plugin-layout/Layout.tsx'), loading: LoadingComponent}),
    "routes": [
      {
        "path": "/~demos/:uuid",
        "layout": false,
        "wrappers": [dynamic({ loader: () => import(/* webpackChunkName: 'wrappers' */'../dumi/layout'), loading: LoadingComponent})],
        "component": ((props) => dynamic({
          loader: async () => {
            const React = await import('react');
            const { default: getDemoRenderArgs } = await import(/* webpackChunkName: 'dumi_demos' */ '/Users/jixiang/Desktop/workspace-my/operation-background-standard/node_modules/@umijs/preset-dumi/lib/plugins/features/demo/getDemoRenderArgs');
            const { default: Previewer } = await import(/* webpackChunkName: 'dumi_demos' */ 'dumi-theme-default/es/builtins/Previewer.js');
            const { usePrefersColor, context } = await import(/* webpackChunkName: 'dumi_demos' */ 'dumi/theme');

            return props => {
              
      const { demos } = React.useContext(context);
      const [renderArgs, setRenderArgs] = React.useState([]);

      // update render args when props changed
      React.useLayoutEffect(() => {
        setRenderArgs(getDemoRenderArgs(props, demos));
      }, [props.match.params.uuid, props.location.query.wrapper, props.location.query.capture]);

      // for listen prefers-color-schema media change in demo single route
      usePrefersColor();

      switch (renderArgs.length) {
        case 1:
          // render demo directly
          return renderArgs[0];

        case 2:
          // render demo with previewer
          return React.createElement(
            Previewer,
            renderArgs[0],
            renderArgs[1],
          );

        default:
          return `Demo ${props.match.params.uuid} not found :(`;
      }
    
            }
          },
          loading: () => null,
        }))()
      },
      {
        "path": "/_demos/:uuid",
        "redirect": "/~demos/:uuid"
      },
      {
        "__dumiRoot": true,
        "layout": false,
        "path": "/~docs",
        "wrappers": [dynamic({ loader: () => import(/* webpackChunkName: 'wrappers' */'../dumi/layout'), loading: LoadingComponent}), dynamic({ loader: () => import(/* webpackChunkName: 'wrappers' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/node_modules/dumi-theme-default/es/layout.js'), loading: LoadingComponent})],
        "routes": [
          {
            "path": "/~docs",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'README.md' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/README.md'), loading: LoadingComponent}),
            "exact": true,
            "meta": {
              "locale": "en-US",
              "order": null,
              "filePath": "README.md",
              "updatedTime": 1646885307770,
              "slugs": [
                {
                  "depth": 1,
                  "value": "运营后台",
                  "heading": "运营后台"
                }
              ],
              "title": "运营后台"
            },
            "title": "运营后台"
          }
        ],
        "title": "ant-design-pro",
        "component": (props) => props.children
      },
      {
        "path": "/admin",
        "layout": false,
        "routes": [
          {
            "name": "谷歌验证",
            "path": "/admin/verify",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__user__verify' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/user/verify'), loading: LoadingComponent}),
            "menu": false,
            "exact": true
          },
          {
            "path": "/admin/login",
            "layout": false,
            "name": "登录",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__user__Login' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/user/Login'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "path": "/admin",
            "redirect": "/admin/login",
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/admin",
        "routes": [
          {
            "name": "谷歌验证",
            "path": "/admin/verify",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__user__verify' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/user/verify'), loading: LoadingComponent}),
            "menu": false,
            "exact": true
          }
        ]
      },
      {
        "path": "/dashboard",
        "name": "首页",
        "icon": "dashboard",
        "routes": [
          {
            "path": "/dashboard",
            "redirect": "/dashboard/payment",
            "exact": true
          },
          {
            "name": "支付看板",
            "path": "/dashboard/payment",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__dashboard__payment' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/dashboard/payment'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "商户支付简报",
            "path": "/dashboard/merchant",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__dashboard__merchant' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/dashboard/merchant'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "支付通道简报",
            "path": "/dashboard/channel",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__dashboard__channel' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/dashboard/channel'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/merchant",
        "name": "商户管理",
        "icon": "team",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'components__BaseLayout' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/components/BaseLayout'), loading: LoadingComponent}),
        "routes": [
          {
            "name": "商户信息",
            "path": "/merchant/merchant",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__merchant__merchant' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/merchant/merchant'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "代理信息",
            "path": "/merchant/proxy",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__merchant__proxy' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/merchant/proxy'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "商户通道",
            "path": "/merchant/channel",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__merchant__channel' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/merchant/channel'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "商户银行卡",
            "path": "/merchant/bankcard",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__merchant__bankcards' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/merchant/bankcards'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/product",
        "name": "通道管理",
        "icon": "menu",
        "routes": [
          {
            "name": "支付通道",
            "path": "/product/payment",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__product__payment' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/product/payment'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "代付通道",
            "path": "/product/transfer",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__product__transfer' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/product/transfer'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "通道回调",
            "path": "/product/notify",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__product__notify' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/product/notify'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/order",
        "name": "订单管理",
        "icon": "orderedList",
        "routes": [
          {
            "name": "支付订单",
            "path": "/order/payment",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__order__payment' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/order/payment'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "代付订单",
            "path": "/order/transfer",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__order__transfer' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/order/transfer'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/audit",
        "name": "流水审计",
        "icon": "accountBook",
        "routes": [
          {
            "name": "商户流水",
            "path": "/audit/merchant",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__audit__merchant' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/audit/merchant'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "代理流水",
            "path": "/audit/proxy",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__audit__proxy' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/audit/proxy'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "支付通道流水",
            "path": "/audit/channel",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__audit__channel' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/audit/channel'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/record",
        "name": "操作记录",
        "icon": "clockCircle",
        "routes": [
          {
            "name": "商户登录记录",
            "path": "/record/login/merchant",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__record__login-channel' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/record/login-channel'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "代理登录记录",
            "path": "/record/login/proxy",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__dev' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/dev'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "管理员登录记录",
            "path": "/record/login/admin",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__record__login-admin' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/record/login-admin'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "管理员操作记录",
            "path": "/record/operate/admin",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__dev' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/dev'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/setting",
        "name": "系统管理",
        "icon": "setting",
        "routes": [
          {
            "name": "支付黑名单IP",
            "path": "/setting/blackip",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__blackip' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/blackip'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "系统配置",
            "path": "/setting/config",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__config' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/config'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "数据库看板",
            "path": "/setting/monitor/database",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__monitor-database' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/monitor-database'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "name": "缓存看板",
            "path": "/setting/monitor/cache",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__setting__cache' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/setting/cache'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/test",
        "layout": false,
        "routes": [
          {
            "path": "/test/order",
            "name": "下单测试",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__test__order' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/test/order'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "path": "/test/test",
            "name": "测试页面",
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__test__test' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/test/test'), loading: LoadingComponent}),
            "exact": true
          },
          {
            "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
            "exact": true
          }
        ]
      },
      {
        "path": "/502",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__502' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/502'), loading: LoadingComponent}),
        "exact": true
      },
      {
        "path": "/index.html",
        "redirect": "/dashboard/payment",
        "exact": true
      },
      {
        "path": "/",
        "redirect": "/dashboard/payment",
        "exact": true
      },
      {
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'p__404' */'/Users/jixiang/Desktop/workspace-my/operation-background-standard/src/pages/404'), loading: LoadingComponent}),
        "exact": true
      }
    ]
  }
];

  // allow user to extend routes
  plugin.applyPlugins({
    key: 'patchRoutes',
    type: ApplyPluginsType.event,
    args: { routes },
  });

  return routes;
}
