import { copy } from '@/utils';
import { CopyTwoTone } from '@ant-design/icons';
import type { ReactNode } from 'react';

interface IProps {
  children?: ReactNode;
  text?: string;
}

function Copy({ children, text }: IProps) {
  return (
    <span className="cursor-pointer" onClick={copy.bind(null, text as string)}>
      {children || <CopyTwoTone />}
    </span>
  );
}

export default Copy;
