import { Button, Result } from 'antd';
import React from 'react';
import { history } from 'umi';

const NoFoundPage: React.FC = () => (
  <Result
    status="500"
    title="502"
    subTitle="服务器异常，请稍后再试~"
    extra={
      <Button type="primary" onClick={() => history.go(-1)}>
        返回上一页
      </Button>
    }
  />
);

export default NoFoundPage;
