import { PROTABLE_DEFAULT_SETTING } from '@/constants';
import { requestMerchantFlow } from '@/services/merchant/audit';
import type { ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { BASE_COLUMNS } from './constants';

function FlowMerchant() {
  const columns: ProColumns<API.MerchantFlowItem>[] = [...BASE_COLUMNS];
  return (
    <ProTable
      {...PROTABLE_DEFAULT_SETTING}
      scroll={{ x: 2000, y: 'calc(100vh - 280px)' }}
      columns={columns}
      request={requestMerchantFlow}
      // actionRef={actionRef}
    />
  );
}
export default FlowMerchant;
