import { PROTABLE_DEFAULT_SETTING } from '@/constants';
import { requestProxyFlow } from '@/services/merchant/audit';
import type { ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { BASE_COLUMNS } from './constants';

function FlowProxy() {
  const columns: ProColumns<API.ProxyFlowItem>[] = [...BASE_COLUMNS];
  return (
    <ProTable
      {...PROTABLE_DEFAULT_SETTING}
      scroll={{ x: 2300, y: 'calc(100vh - 280px)' }}
      columns={columns}
      request={requestProxyFlow}
      // actionRef={actionRef}
    />
  );
}

export default FlowProxy;
