// 支付类型
export const PAYMENT_TYPE_ENUM = {
  PRODUCT: 'product', // 大通道
  CHANNEL: 'channel', // 小通道
};

// 支付类型
export const PAYMENT_TYPE_MAP = {
  [PAYMENT_TYPE_ENUM.PRODUCT]: '大通道', // 大通道
  [PAYMENT_TYPE_ENUM.CHANNEL]: '子通道', // 小通道
};

// 请求方式
export const HTTP_METHOD_ENNUM = {
  'POST/JSON': 'POST/JSON',
  'POST/FORM': 'POST/FORM',
  GET: 'GET',
};

// 单位
export const AMOUNT_SCALA_OPTIONS = [
  {
    label: '元',
    value: 100,
  },
  {
    label: '角',
    value: 10,
  },
  {
    label: '分',
    value: 1,
  },
];

// 请求超时枚举
export const REQUEST_TIMEOUT_OPTIONS = [
  { label: '5秒', value: 5 },
  { label: '10秒', value: 10 },
  { label: '15秒', value: 15 },
  { label: '20秒', value: 20 },
];
