export interface IChannelSubItem {
  id: string;
  channelName: string;
  channelCode: string;
  channelWord: string;
  groupName: string;
  channelType: string;
  payMethod: string;
  currency: string;
  dayLimitAmountValue: string;
  requestTimeoutSecond: string;
  orderExpireMinute: string;
  feeType: string;
  feeRate: string;
  feeFix: string;
  cashierDesk: string;
  status: string;
  memo: string;
  payGateway: string;
  channelMerchantNo: string;
  channelAppKey: string;
  channelAppSecret: string;
  channelSignAlgorithm: string;
  amountScale: string;
  amountLimitType: string;
  amountLimitLow: string;
  amountLimitHigh: string;
  amountLimitRange: string;
  extension: string;
  channelKeyMerchantNo: string;
  channelKeyAppKey: string;
  channelKeyUserId: string;
  channelKeySerialOrderNo: string;
  channelKeyAmount: string;
  channelKeyNotifyUrl: string;
  channelKeyReturnUrl: string;
  channelKeyUserName: string;
  channelKeyMobile: string;
  channelKeyEmail: string;
  channelKeyTimestamp: string;
  channelKeySign: string;
  resultSuccessFlag: string;
  resultErrorMsg: string;
  resultPayUrl: string;
  resultChannelNo: string;
  notifyIp: string;
  notifyType: string;
  notifySerialOrderNoKey: string;
  notifyAmountScala: string;
  notifyRealAmountKey: string;
  notifySignKey: string;
  notifyPaySuccessFlag: string;
  notifySuccessResponse: string;
  queryGateWay: string;
}
