interface IProps {
  ip?: string;
}

const isIp = (ip: string) => ip.includes('.');

function Ip({ ip }: IProps) {
  if (isIp(ip || ''))
    return (
      <a href={`https://www.cip.cc/${ip}`} target="_blank">
        {ip}
      </a>
    );
  return <span>{ip || null}</span>;
}

export default Ip;
