import { PROTABLE_DEFAULT_SETTING } from '@/constants';
import { requestChannelFlow } from '@/services/merchant/audit';
import type { ProColumns } from '@ant-design/pro-table';
import ProTable from '@ant-design/pro-table';
import { BASE_COLUMNS } from './constants';

function FlowChannel() {
  const columns: ProColumns<API.ChannelFlowItem>[] = [...BASE_COLUMNS];
  return (
    <ProTable
      {...PROTABLE_DEFAULT_SETTING}
      scroll={{ x: 2300, y: 'calc(100vh - 280px)' }}
      columns={columns}
      request={requestChannelFlow}
      // actionRef={actionRef}
    />
  );
}

export default FlowChannel;
