import { copy } from '@/utils';
import { Space } from 'antd';

interface IProps {
  value?: string;
  onChange?: (value: string) => void;
}

function MchKeyItem({ value = '' }: IProps) {
  return (
    <div>
      <Space>
        <span>{value}</span>
        <a onClick={copy.bind(null, value)}>复制</a>
      </Space>
    </div>
  );
}

export default MchKeyItem;
