import { copy } from '@/utils';
import { Space } from 'antd';

interface IProps {
  value?: string;
  onChange?: (value: string) => void;
  handleReset: any;
}

function TokenItem({ value = '', handleReset }: IProps) {
  return (
    <div>
      <Space>
        <span>{value}</span>
        <a onClick={handleReset}>重置</a>
        <a onClick={copy.bind(null, value)}>复制</a>
      </Space>
    </div>
  );
}

export default TokenItem;
