/**
 * 流水之类的服务
 */
import { commonRequest } from '@/utils/request';

const PREFIX = '/api/v1/audit';

// 商户流水
export async function requestMerchantFlow(params: API.PageParams) {
  return commonRequest(`${PREFIX}/merchant/page`, params);
}

// 代理流水
export async function requestProxyFlow(params: API.PageParams) {
  return commonRequest(`${PREFIX}/proxy/page`, params);
}

// 通道流水
export async function requestChannelFlow(params: API.PageParams) {
  return commonRequest(`${PREFIX}/channel/payment/page`, params);
}
